<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [nextUpdate](./bitburner.bladeburner.nextupdate.md)

## Bladeburner.nextUpdate() method

Sleep until the next Bladeburner update has happened.

**Signature:**

```typescript
nextUpdate(): Promise<number>;
```
**Returns:**

Promise&lt;number&gt;

Promise that resolves to the number of milliseconds of Bladeburner time that were processed in the previous update (1000 - 5000 ms).

## Remarks

RAM cost: 1 GB

The amount of real time spent asleep between updates can vary due to "bonus time" (usually 1 second).

## Example


```js
while (true) {
  const duration = await ns.bladeburner.nextUpdate();
  ns.print(`Bladeburner Division completed ${ns.format.time(duration)} of actions.`);
  ns.print(`Bonus time remaining: ${ns.format.time(ns.bladeburner.getBonusTime())}`);
  // Manage the Bladeburner division
}
```

